*! version 1.0.0 December 7, 2018 @ 01:27:52
*! for feeding to a word document
version 15.1
set more off
*capture log close stattag
*log using stattag, name(stattag) replace


*** none of this will either be seen as input or as output
sysuse auto, clear
describe
tabstat price mpg weight displacement, ///
  statistics( count mean sd min p25 p50 p75 max ) ///
  save
* we need to make a new matrix to get the names right
*** uhoh, it seems that for stattag, if it cannot format a result, it puts
*** DisplayText in the cell, even for names of variables
***  displacement is the offender here
matrix Stats = r(StatTotal)'
**>>>ST:Table(Label="basic_table", Frequency="On Demand", Type="Default")
matrix list Stats, format(%7.0g)
**<<<

twoway (scatter mpg weight), title(Non-linearity mpg on weight)
**>>>ST:Figure(Label="mog_weight", Frequency="On Demand")
graph export mpg_wt.png, replace
**<<<

gen gp100m = 100/mpg, before(mpg)
label variable gp100m "Gallons per 100 miles"
** conversion needed

tabstat gp100m weight length turn displacement gear_ratio, ///
  statistics( mean sd count ) by(foreign) save
matrix Domestic = r(Stat1)'
**>>>ST:Table(Label="Domestic", Frequency="On Demand", Type="Default")
matrix list Domestic
**<<<

matrix Foreign = r(Stat2)'
**>>>ST:Table(Label="Foreign", Frequency="On Demand", Type="Default")
matrix list Foreign
**<<<

matrix Overall = r(StatTotal)'
**>>>ST:Table(Label="Overall", Frequency="On Demand", Type="Default")
matrix list Overall
**<<<

graph matrix gp100m weight length turn displacement gear_ratio
**>>>ST:Figure(Label="graph_mat", Frequency="On Demand")
graph export graph_mat.png, replace
**<<<

regress gp100m weight displacement gear_ratio foreign
matrix wdgf = r(table)'
**>>>ST:Table(Label="est_wdgf", Frequency="On Demand", ColFilterEnabled=True, ColFilterType="Exclude", ColFilterValue="8,9,10", Type="Numeric", AllowInvalid=True, Decimals=6, Thousands=False)
matrix list wdgf, format(%6.4f)
**<<<
estimates store e_wdgf

regress gp100m weight foreign
matrix wf = r(table)'
**>>>ST:Table(Label="est_wf", Frequency="On Demand", ColFilterEnabled=True, ColFilterType="Exclude", ColFilterValue="8,9,10", Type="Numeric", AllowInvalid=True, Decimals=6, Thousands=False)
matrix list wf
**<<<
estimates store e_wf

estimates table e_wdgf e_wf
matrix coef = r(coef)
**>>>ST:Table(Label="etable", Frequency="On Demand", Type="Numeric", AllowInvalid=True, Decimals=10, Thousands=False)
matrix list coef
**<<<

* reg2docx e_wdgf e_wf using twoetable.docx, replace

*** info about the weights and such
**>>>ST:Value(Label="yeasr_past", Frequency="On Demand", Type="Default")
display yofd(date(`"`c(current_date)'"',"DMY")) - 1978
**<<<

*** urf. it appears that formatting must be done in StatTag and not by Stata
*** excess gallons per 100 miles per 100 pounds
**>>>ST:Value(Label="bweight_100", Frequency="On Demand", Type="Numeric", Decimals=3, Thousands=False)
display _b[weight]*100
**<<<

*** excess gallons for foreign cars
**>>>ST:Value(Label="bforeign", Frequency="On Demand", Type="Numeric", Decimals=3, Thousands=False)
display _b[foreign]
**<<<

*** an attempt at a simple computation
**>>>ST:Value(Label="gpm_lpk", Frequency="On Demand", Type="Numeric", Decimals=3, Thousands=False)
display 75/32
**<<<


*log close stattag
